<?php 

function consulta_spc_teste($documento, $token, $senha, $codigo_servico, $tipo_credito, $codigo_associado, $telefone, $ddd, $entidade, $modelo_score, $consulta_cheque){
	include "teste_spc.php";

	// // $token = '08d736b0-3eab-e043-5418-f5fd9fe2738b';
	$token2 = novo_token($token); // Aqui ele chama a função que atualiza o token.

	// // $dados['CPF'] 			= '41092909885';
	// // $dados['token'] 			= '08d736b0-3eab-e043-5418-f5fd9fe2738b';
	// // $dados['codigoServico'] 	= '52199034';
	// // $dados['senha'] 			= '329502';
	// // $dados['TipoCredito'] 	= 'CC';
	// // $dados['ScoreCredito'] 	= 'S';
	// // $dados['ModelosScore']	= ['63'];
	// // $dados['ConsultarCheque']	= 'N';
	// // $dados['Entidade'] 		= 'SP029';
	// // $dados['Associado']		= '12290';
	// // $dados['telefone'] 		= '993031255';
	// // $dados['ddd'] 			= '16';

	$dados['CPF'] 				= $documento;
	$dados['token'] 			= $token;
	$dados['codigoServico'] 	= $codigo_servico;
	$dados['senha'] 			= $senha;
	$dados['TipoCredito'] 		= $tipo_credito;
	$dados['ScoreCredito'] 		= 'S';
	$dados['ModelosScore']		= ['0' => $modelo_score];
	$dados['ConsultarCheque']	= $consulta_cheque;
	$dados['Entidade'] 			= $entidade;
	$dados['Associado'] 		= $codigo_associado;
	$dados['telefone'] 			= $telefone;
	$dados['ddd'] 				= $ddd;

	$dados = json_encode($dados);

	$url = "https://pwl.bvsnet.com.br/acertaessencial/consultar/1/json";

	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS,$dados);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLOPT_HEADER, 1);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER , 0);

	//Setando o cabeçalho
	$headers = [
		'X-Apple-Tz: 0',
		'Content-Type: application/json',
		'Authorization: bearer '. $token2->token
	];

	// Aplicando o cabeçalho na requisição
	curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

	// $dados = json_encode($dados);

	$server_output 	= curl_exec($ch);
	$info			= curl_getinfo($ch);

	curl_close($ch);

	// // vou gravar num arquivo
	// $point = fopen("consulta_spc/teste_scpc_novo.txt", "w+");
	// fwrite($point, $server_output);
	// fclose($point);

	// $file = file('consulta_spc/teste_spc_adailton.txt');

	// Abrir o arquivo
	// $file = fopen('consulta_spc/teste_scpc_adailton.txt', 'rb');
	// $server_output = fread($file, filesize('consulta_spc/teste_scpc_adailton.txt'));
	// fclose($file);

	$server_output = explode("{", $server_output, 2);	
	$server_output = json_decode("{".$server_output[1]);

	return $server_output;
}
